import java.util.*;
import java.text.*;

/**
 * Manejo basico de fechas
 * Me hago cargo, capturo la excepcion ParseException que lanza el
 * metodo parse() de DateFormat
 * 
 * @author G. Cherencio
 * @version 1.0
 */
public class Fecha2 {
    public static void main(String arg[]) {
        Date d = new Date();
        SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
        String sd = sdf.format(d);
        System.out.println("Paso obj Date a obj String: Fecha = "+sd);
        GregorianCalendar gc = new GregorianCalendar(2018,4,25); // 25 de mayo de 2018
        Date dgc = gc.getTime();  // obtengo un obj Date a partir de GregorianCalendar que deriva de Calendar
        String sdgc = sdf.format(dgc); // represento el 25/05/18 en el formato dd/MM/yyyy
        System.out.println("Paso obj Calendar a obj Date a obj String: Fecha = "+sdgc);
        // de una fecha en forma de String a un objeto Date
        String sfecha = "pepe26/05/2018";
        Date dd = null;
        try {
            dd = sdf.parse(sfecha);
            String sdd = sdf.format(dd);
            System.out.println("Paso obj String a obj Date a obj String: Fecha = "+sdd);
        } catch(ParseException pe) {
            dd=null;
            System.err.println("Error, "+sfecha+" no es una fecha en formato dd/mm/yyyy");
        }
        
    }
}
